Kubernetes
action Deployment

# delete_deployment

Delete a deployment

Run it now
View details

Type | action
Module | chaosk8s.deployment.actions
Name | delete_deployment
Return | None

Usage

JSON

    {
      "name": "delete-deployment",
      "type": "action",
      "provider": {
        "type": "python",
        "module": "chaosk8s.deployment.actions",
        "func": "delete_deployment"
      }
    }

YAML

    name: delete-deployment
    provider:
      func: delete_deployment
      module: chaosk8s.deployment.actions
      type: python
    type: action

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
ns | string | ”default” | Yes | Namespace |
name | string | null | No | Name | Name of the deployment
label_selector | string | null | No | Label Selector | Use selectors instead of a single name

Signature

    def delete_deployment(name: str = None,
                          ns: str = 'default',
                          label_selector: str = None,
                          secrets: Dict[str, Dict[str, str]] = None):
        pass

## Related starters

- Kubernetes
  action Deployment

  ## `create_deployment`

  Create a deployment described by a deployment manifest
- Kubernetes
  action Deployment

  ## `scale_deployment`

  Scale a deployment.
- Kubernetes
  action Deployment

  ## `create_deployment`

  Create a deployment described by a deployment manifest